

Switch __kernel_dev_t to `unsigned long long' for the non-ia32 32-bit
architectures.

Switch __kernel_dev_t to `unsigned long' for the 64-bit architectures.

ppc64 was always using unsigned long.


 /dev/null                         |    0 
 include/asm-alpha/posix_types.h   |    4 +++-
 include/asm-arm/posix_types.h     |    4 +++-
 include/asm-arm26/posix_types.h   |    4 +++-
 include/asm-cris/posix_types.h    |    4 +++-
 include/asm-h8300/posix_types.h   |    4 +++-
 include/asm-ia64/posix_types.h    |    4 +++-
 include/asm-m68k/posix_types.h    |    4 +++-
 include/asm-mips/posix_types.h    |    4 +++-
 include/asm-parisc/posix_types.h  |    4 +++-
 include/asm-ppc/posix_types.h     |    4 +++-
 include/asm-s390/posix_types.h    |    8 ++++++--
 include/asm-sh/posix_types.h      |    4 +++-
 include/asm-sparc/posix_types.h   |    4 +++-
 include/asm-sparc64/posix_types.h |    4 +++-
 include/asm-v850/posix_types.h    |    4 +++-
 include/asm-x86_64/posix_types.h  |    2 ++
 17 files changed, 50 insertions(+), 16 deletions(-)

diff -puN include/asm-alpha/posix_types.h~64-bit-dev_t-other-archs include/asm-alpha/posix_types.h
--- 25/include/asm-alpha/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-alpha/posix_types.h	2003-08-01 02:02:53.000000000 -0700
@@ -7,7 +7,9 @@
  * assume GCC is being used.
  */
 
-typedef unsigned int	__kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long long	__kernel_dev_t;
+#endif
 typedef unsigned int	__kernel_ino_t;
 typedef unsigned int	__kernel_mode_t;
 typedef unsigned int	__kernel_nlink_t;
diff -puN include/asm-arm26/posix_types.h~64-bit-dev_t-other-archs include/asm-arm26/posix_types.h
--- 25/include/asm-arm26/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-arm26/posix_types.h	2003-08-01 02:02:53.000000000 -0700
@@ -19,7 +19,9 @@
  * assume GCC is being used.
  */
 
-typedef unsigned short		__kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long long	__kernel_dev_t;
+#endif
 typedef unsigned long		__kernel_ino_t;
 typedef unsigned short		__kernel_mode_t;
 typedef unsigned short		__kernel_nlink_t;
diff -puN include/asm-arm/posix_types.h~64-bit-dev_t-other-archs include/asm-arm/posix_types.h
--- 25/include/asm-arm/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-arm/posix_types.h	2003-08-01 02:02:53.000000000 -0700
@@ -19,7 +19,9 @@
  * assume GCC is being used.
  */
 
-typedef unsigned short		__kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long long	__kernel_dev_t;
+#endif
 typedef unsigned long		__kernel_ino_t;
 typedef unsigned short		__kernel_mode_t;
 typedef unsigned short		__kernel_nlink_t;
diff -puN include/asm-cris/posix_types.h~64-bit-dev_t-other-archs include/asm-cris/posix_types.h
--- 25/include/asm-cris/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-cris/posix_types.h	2003-08-01 02:02:53.000000000 -0700
@@ -14,7 +14,9 @@
  * assume GCC is being used.
  */
 
-typedef unsigned short	__kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long long	__kernel_dev_t;
+#endif
 typedef unsigned long	__kernel_ino_t;
 typedef unsigned short	__kernel_mode_t;
 typedef unsigned short	__kernel_nlink_t;
diff -puN include/asm-h8300/posix_types.h~64-bit-dev_t-other-archs include/asm-h8300/posix_types.h
--- 25/include/asm-h8300/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-h8300/posix_types.h	2003-08-01 02:02:53.000000000 -0700
@@ -7,7 +7,9 @@
  * assume GCC is being used.
  */
 
-typedef unsigned short	__kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long long	__kernel_dev_t;
+#endif
 typedef unsigned long	__kernel_ino_t;
 typedef unsigned short	__kernel_mode_t;
 typedef unsigned short	__kernel_nlink_t;
diff -puN include/asm-ia64/posix_types.h~64-bit-dev_t-other-archs include/asm-ia64/posix_types.h
--- 25/include/asm-ia64/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-ia64/posix_types.h	2003-08-01 02:02:53.000000000 -0700
@@ -10,7 +10,9 @@
  *	David Mosberger-Tang <davidm@hpl.hp.com>
  */
 
-typedef unsigned int	__kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long	__kernel_dev_t;
+#endif
 typedef unsigned int	__kernel_ino_t;
 typedef unsigned int	__kernel_mode_t;
 typedef unsigned int	__kernel_nlink_t;
diff -puN include/asm-m68k/posix_types.h~64-bit-dev_t-other-archs include/asm-m68k/posix_types.h
--- 25/include/asm-m68k/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-m68k/posix_types.h	2003-08-01 02:02:53.000000000 -0700
@@ -7,7 +7,9 @@
  * assume GCC is being used.
  */
 
-typedef unsigned short	__kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long long	__kernel_dev_t;
+#endif
 typedef unsigned long	__kernel_ino_t;
 typedef unsigned short	__kernel_mode_t;
 typedef unsigned short	__kernel_nlink_t;
diff -puN -L include/asm-mips64/posix_types.h /dev/null /dev/null
diff -puN include/asm-mips/posix_types.h~64-bit-dev_t-other-archs include/asm-mips/posix_types.h
--- 25/include/asm-mips/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-mips/posix_types.h	2003-08-01 02:02:56.000000000 -0700
@@ -17,7 +17,9 @@
  * assume GCC is being used.
  */
 
-typedef unsigned int	__kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long long	__kernel_dev_t;
+#endif
 typedef unsigned long	__kernel_ino_t;
 typedef unsigned int	__kernel_mode_t;
 #if (_MIPS_SZLONG == 32)
diff -puN include/asm-parisc/posix_types.h~64-bit-dev_t-other-archs include/asm-parisc/posix_types.h
--- 25/include/asm-parisc/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-parisc/posix_types.h	2003-08-01 02:02:56.000000000 -0700
@@ -6,7 +6,9 @@
  * be a little careful about namespace pollution etc.  Also, we cannot
  * assume GCC is being used.
  */
-typedef unsigned int		__kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long long	__kernel_dev_t;
+#endif
 typedef unsigned long		__kernel_ino_t;
 typedef unsigned short		__kernel_mode_t;
 typedef unsigned short		__kernel_nlink_t;
diff -puN include/asm-ppc/posix_types.h~64-bit-dev_t-other-archs include/asm-ppc/posix_types.h
--- 25/include/asm-ppc/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-ppc/posix_types.h	2003-08-01 02:02:56.000000000 -0700
@@ -7,7 +7,9 @@
  * assume GCC is being used.
  */
 
-typedef unsigned int	__kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long long	__kernel_dev_t;
+#endif
 typedef unsigned long	__kernel_ino_t;
 typedef unsigned int	__kernel_mode_t;
 typedef unsigned short	__kernel_nlink_t;
diff -puN include/asm-s390/posix_types.h~64-bit-dev_t-other-archs include/asm-s390/posix_types.h
--- 25/include/asm-s390/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-s390/posix_types.h	2003-08-01 02:02:56.000000000 -0700
@@ -34,7 +34,9 @@ typedef long long       __kernel_loff_t;
 
 #ifndef __s390x__
 
-typedef unsigned short  __kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long long	__kernel_dev_t;
+#endif
 typedef unsigned long   __kernel_ino_t;
 typedef unsigned short  __kernel_mode_t;
 typedef unsigned short  __kernel_nlink_t;
@@ -51,7 +53,9 @@ typedef unsigned short	__kernel_old_dev_
 
 #else /* __s390x__ */
 
-typedef unsigned int    __kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long long	__kernel_dev_t;
+#endif
 typedef unsigned int    __kernel_ino_t;
 typedef unsigned int    __kernel_mode_t;
 typedef unsigned int    __kernel_nlink_t;
diff -puN include/asm-sh/posix_types.h~64-bit-dev_t-other-archs include/asm-sh/posix_types.h
--- 25/include/asm-sh/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-sh/posix_types.h	2003-08-01 02:02:56.000000000 -0700
@@ -7,7 +7,9 @@
  * assume GCC is being used.
  */
 
-typedef unsigned short	__kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long long	__kernel_dev_t;
+#endif
 typedef unsigned long	__kernel_ino_t;
 typedef unsigned short	__kernel_mode_t;
 typedef unsigned short	__kernel_nlink_t;
diff -puN include/asm-sparc64/posix_types.h~64-bit-dev_t-other-archs include/asm-sparc64/posix_types.h
--- 25/include/asm-sparc64/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-sparc64/posix_types.h	2003-08-01 02:02:56.000000000 -0700
@@ -16,7 +16,9 @@ typedef int                    __kernel_
 typedef int                    __kernel_ipc_pid_t;
 typedef unsigned int           __kernel_uid_t;
 typedef unsigned int           __kernel_gid_t;
-typedef unsigned int           __kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long	__kernel_dev_t;
+#endif
 typedef unsigned long          __kernel_ino_t;
 typedef unsigned int           __kernel_mode_t;
 typedef unsigned short         __kernel_umode_t;
diff -puN include/asm-sparc/posix_types.h~64-bit-dev_t-other-archs include/asm-sparc/posix_types.h
--- 25/include/asm-sparc/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-sparc/posix_types.h	2003-08-01 02:02:56.000000000 -0700
@@ -17,7 +17,9 @@ typedef int                    __kernel_
 typedef unsigned short         __kernel_ipc_pid_t;
 typedef unsigned short         __kernel_uid_t;
 typedef unsigned short         __kernel_gid_t;
-typedef unsigned short         __kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long long	__kernel_dev_t;
+#endif
 typedef unsigned long          __kernel_ino_t;
 typedef unsigned short         __kernel_mode_t;
 typedef unsigned short         __kernel_umode_t;
diff -puN include/asm-v850/posix_types.h~64-bit-dev_t-other-archs include/asm-v850/posix_types.h
--- 25/include/asm-v850/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-v850/posix_types.h	2003-08-01 02:02:56.000000000 -0700
@@ -14,7 +14,9 @@
 #ifndef __V850_POSIX_TYPES_H__
 #define __V850_POSIX_TYPES_H__
 
-typedef unsigned int	__kernel_dev_t;
+#ifdef __GNUC__
+typedef unsigned long long	__kernel_dev_t;
+#endif
 typedef unsigned long	__kernel_ino_t;
 typedef unsigned long long __kernel_ino64_t;
 typedef unsigned int	__kernel_mode_t;
diff -puN include/asm-x86_64/posix_types.h~64-bit-dev_t-other-archs include/asm-x86_64/posix_types.h
--- 25/include/asm-x86_64/posix_types.h~64-bit-dev_t-other-archs	2003-08-01 02:02:53.000000000 -0700
+++ 25-akpm/include/asm-x86_64/posix_types.h	2003-08-01 02:02:56.000000000 -0700
@@ -7,7 +7,9 @@
  * assume GCC is being used.
  */
 
+#ifdef __GNUC__
 typedef unsigned long	__kernel_dev_t;
+#endif
 typedef unsigned long	__kernel_ino_t;
 typedef unsigned int	__kernel_mode_t;
 typedef unsigned long	__kernel_nlink_t;

_
